package com.goafanti.common.dao;

import com.goafanti.common.model.TDunLog;
import com.goafanti.common.model.TDunLogExample;
import com.goafanti.order.bo.TDunLogListBo;

import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface TDunLogMapper {
    int deleteByPrimaryKey(String id);

    int insert(TDunLog record);

    int insertSelective(TDunLog record);

    TDunLog selectByPrimaryKey(String id);

    int updateByPrimaryKeySelective(TDunLog record);

    int updateByPrimaryKey(TDunLog record);

	List<TDunLogListBo> selectByDunId(String dunId);

    List<TDunLogListBo> selectByOrderNo(String orderNo);
}